PINSPECT(1)

NAME
pinspect - repository inspection interface

SYNOPSIS

pinspect [-h] [--version] [--debug] [-q] [-v] [--color BOOLEAN] [--add-config SECTION KEY VALUE] [--new-config SECTION KEY VALUE] [--empty-config] [--config PATH] {pkgsets,eapi_usage,license_usage,eclass_usage,mirror_usage,distfiles_usage,query,portageq,profile,digests} ...

DESCRIPTION

pinspect is used to extract various information from repos. For example, it can perform aggregated EAPI, license, eclass, and mirror usage queries across specified repos. Any repo type can be queried, e.g. ebuild, binary, or vdb.

It also provides an interface to all profile specific metadata, e.g. package masks, inheritance trees, etc. This makes it easier to inspect profile differences without sorting through the inheritance tree and reading the raw files.

Finally, a portageq compatible interface is provided for several commands that were historically used in ebuilds.

BASE OPTIONS

-h, --help
    Show this help message and exit. To get more information see the related man page.

--version
    Show this program's version information and exit.

    When running from within a git repo or a version installed from git the latest commit hash and date will be shown.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

CONFIG OPTIONS

--add-config SECTION KEY VALUE
    modify existing pkgcore config section

--new-config SECTION KEY VALUE
    add new pkgcore config section

--empty-config
    skip loading user/system pkgcore config

--config PATH
    use custom pkgcore config file

SUBCOMMANDS

report applets

  pinspect pkgsets - pkgset related introspection

  Synopsis

pinspect pkgsets [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--all | pkgset [pkgset ...]]

  Positional Arguments

pkgset
    pkgset to inspect

  Optional Arguments

--all
    display info on all pkgsets

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect eapi_usage - report of eapi usage for targeted repos

  Synopsis

pinspect eapi_usage [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--no-final-summary] [--sort-by-name] [--first FIRST | --last LAST] [repo [repo ...]]

  Positional Arguments

repo
    repo(s) to inspect

  Optional Arguments

--no-final-summary
    disable outputting a summary of data across all repos

--sort-by-name
    sort output by name, rather then by frequency

--first FIRST
    show only the first N detail items

--last LAST
    show only the last N detail items

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect license_usage - report of license usage for targeted repos

  Synopsis

pinspect license_usage [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--no-final-summary] [--sort-by-name] [--first FIRST | --last LAST] [repo [repo ...]]

  Positional Arguments

repo
    repo(s) to inspect

  Optional Arguments

--no-final-summary
    disable outputting a summary of data across all repos

--sort-by-name
    sort output by name, rather then by frequency

--first FIRST
    show only the first N detail items

--last LAST
    show only the last N detail items

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect eclass_usage - report of eclass usage for targeted repos

  Synopsis

pinspect eclass_usage [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--no-final-summary] [--sort-by-name] [--first FIRST | --last LAST] [repo [repo ...]]

  Positional Arguments

repo
    repo(s) to inspect

  Optional Arguments

--no-final-summary
    disable outputting a summary of data across all repos

--sort-by-name
    sort output by name, rather then by frequency

--first FIRST
    show only the first N detail items

--last LAST
    show only the last N detail items

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect mirror_usage - report of SRC_URI mirror usage for targeted repos

  Synopsis

pinspect mirror_usage [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--no-final-summary] [--sort-by-name] [--first FIRST | --last LAST] [repo [repo ...]]

  Positional Arguments

repo
    repo(s) to inspect

  Optional Arguments

--no-final-summary
    disable outputting a summary of data across all repos

--sort-by-name
    sort output by name, rather then by frequency

--first FIRST
    show only the first N detail items

--last LAST
    show only the last N detail items

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect distfiles_usage - report detailing distfiles space usage for targeted repos

  Synopsis

pinspect distfiles_usage [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--no-final-summary | --no-repo-summary | --no-detail] [--sort-by-name] [--first FIRST | --last LAST] [--include-nonmirrored] [--include-restricted] [repo [repo ...]]

  Positional Arguments

repo
    repo(s) to inspect

  Optional Arguments

--no-final-summary
    disable outputting a summary of data across all repos

--no-repo-summary
    disable outputting repo summaries

--no-detail
    disable outputting a detail view of all repos

--sort-by-name
    sort output by name, rather then by frequency

--first FIRST
    show only the first N detail items

--last LAST
    show only the last N detail items

--include-nonmirrored
    if set, nonmirrored distfiles will be included in the total

--include-restricted
    if set, fetch restricted distfiles will be included in the total

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect query - auxiliary access to ebuild/repo info via portageq akin api

  Synopsis

pinspect query [-h] [--debug] [-q] [-v] [--color BOOLEAN] {best_version,env_var,get_profiles,get_repo_path,get_repos,has_version,mass_best_version} ...

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  Subcommands

query commands

  pinspect query best_version - Return the maximum visible version for a given atom.

  Synopsis

pinspect query best_version [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--eapi ATOM_KLS] [--use USE] [--domain DOMAIN | --domain-at-root DOMAIN] atom

  Positional Arguments

atom
    atom to inspect

  Optional Arguments

--eapi ATOM_KLS
    limit all operations to just what the given EAPI supports.

--use USE
    override the use flags used for transititive USE deps- dev-lang/python[threads=] for example

--domain DOMAIN
    custom pkgcore domain to use for this operation

--domain-at-root DOMAIN
    specify the domain to use via its root path

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect query env_var - return configuration defined variables.

  Synopsis

pinspect query env_var [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--eapi ATOM_KLS] [--use USE] [--domain DOMAIN | --domain-at-root DOMAIN] variable [variable ...]

  Positional Arguments

variable
    variable to inspect

  Optional Arguments

--eapi ATOM_KLS
    limit all operations to just what the given EAPI supports.

--use USE
    override the use flags used for transititive USE deps- dev-lang/python[threads=] for example

--domain DOMAIN
    custom pkgcore domain to use for this operation

--domain-at-root DOMAIN
    specify the domain to use via its root path

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect query get_profiles

  Synopsis

pinspect query get_profiles [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--eapi ATOM_KLS] [--use USE] [--domain DOMAIN | --domain-at-root DOMAIN] repo_id

  Positional Arguments

repo_id
    repo_id to inspect

  Optional Arguments

--eapi ATOM_KLS
    limit all operations to just what the given EAPI supports.

--use USE
    override the use flags used for transititive USE deps- dev-lang/python[threads=] for example

--domain DOMAIN
    custom pkgcore domain to use for this operation

--domain-at-root DOMAIN
    specify the domain to use via its root path

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect query get_repo_path

  Synopsis

pinspect query get_repo_path [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--eapi ATOM_KLS] [--use USE] [--domain DOMAIN | --domain-at-root DOMAIN] repo_id

  Positional Arguments

repo_id
    repo_id to inspect

  Optional Arguments

--eapi ATOM_KLS
    limit all operations to just what the given EAPI supports.

--use USE
    override the use flags used for transititive USE deps- dev-lang/python[threads=] for example

--domain DOMAIN
    custom pkgcore domain to use for this operation

--domain-at-root DOMAIN
    specify the domain to use via its root path

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect query get_repos

  Synopsis

pinspect query get_repos [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--eapi ATOM_KLS] [--use USE] [--domain DOMAIN | --domain-at-root DOMAIN]

  Optional Arguments

--eapi ATOM_KLS
    limit all operations to just what the given EAPI supports.

--use USE
    override the use flags used for transititive USE deps- dev-lang/python[threads=] for example

--domain DOMAIN
    custom pkgcore domain to use for this operation

--domain-at-root DOMAIN
    specify the domain to use via its root path

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect query has_version - Return 0 if an atom is merged, 1 if not.

  Synopsis

pinspect query has_version [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--eapi ATOM_KLS] [--use USE] [--domain DOMAIN | --domain-at-root DOMAIN] atom

  Positional Arguments

atom
    atom to inspect

  Optional Arguments

--eapi ATOM_KLS
    limit all operations to just what the given EAPI supports.

--use USE
    override the use flags used for transititive USE deps- dev-lang/python[threads=] for example

--domain DOMAIN
    custom pkgcore domain to use for this operation

--domain-at-root DOMAIN
    specify the domain to use via its root path

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect query mass_best_version - multiple best_version calls.

  Synopsis

pinspect query mass_best_version [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--eapi ATOM_KLS] [--use USE] [--domain DOMAIN | --domain-at-root DOMAIN] atom [atom ...]

  Positional Arguments

atom
    atom to inspect

  Optional Arguments

--eapi ATOM_KLS
    limit all operations to just what the given EAPI supports.

--use USE
    override the use flags used for transititive USE deps- dev-lang/python[threads=] for example

--domain DOMAIN
    custom pkgcore domain to use for this operation

--domain-at-root DOMAIN
    specify the domain to use via its root path

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect portageq - portageq compatible interface to query commands

  Synopsis

pinspect portageq [-h] [--debug] [-q] [-v] [--color BOOLEAN] {best_version,envvar,envvar2,get_repo_news_path,get_repo_path,get_repos,has_version,mass_best_version,match} ...

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  Subcommands

portageq commands

  pinspect portageq best_version - Return the maximum visible version for a given atom.

  Synopsis

pinspect portageq best_version [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--eapi ATOM_KLS] [--use USE] root atom

  Positional Arguments

root
    the domain that lives at root will be used

atom
    atom to inspect

  Optional Arguments

--eapi ATOM_KLS
    limit all operations to just what the given EAPI supports.

--use USE
    override the use flags used for transititive USE deps- dev-lang/python[threads=] for example

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect portageq envvar - return configuration defined variables. Use envvar2 instead, this will be removed.

  Synopsis

pinspect portageq envvar [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--eapi ATOM_KLS] [--use USE] [root] variable [variable ...]

  Positional Arguments

root
    the domain that lives at root will be used

variable
    variable to inspect

  Optional Arguments

--eapi ATOM_KLS
    limit all operations to just what the given EAPI supports.

--use USE
    override the use flags used for transititive USE deps- dev-lang/python[threads=] for example

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect portageq envvar2 - return configuration defined variables.

  Synopsis

pinspect portageq envvar2 [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--eapi ATOM_KLS] [--use USE] root variable [variable ...]

  Positional Arguments

root
    the domain that lives at root will be used

variable
    variable to inspect

  Optional Arguments

--eapi ATOM_KLS
    limit all operations to just what the given EAPI supports.

--use USE
    override the use flags used for transititive USE deps- dev-lang/python[threads=] for example

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect portageq get_repo_news_path

  Synopsis

pinspect portageq get_repo_news_path [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--eapi ATOM_KLS] [--use USE] [root] repo_id

  Positional Arguments

root
    root to inspect

repo_id
    repo_id to inspect

  Optional Arguments

--eapi ATOM_KLS
    limit all operations to just what the given EAPI supports.

--use USE
    override the use flags used for transititive USE deps- dev-lang/python[threads=] for example

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect portageq get_repo_path

  Synopsis

pinspect portageq get_repo_path [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--eapi ATOM_KLS] [--use USE] root repo_id

  Positional Arguments

root
    the domain that lives at root will be used

repo_id
    repo_id to inspect

  Optional Arguments

--eapi ATOM_KLS
    limit all operations to just what the given EAPI supports.

--use USE
    override the use flags used for transititive USE deps- dev-lang/python[threads=] for example

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect portageq get_repos

  Synopsis

pinspect portageq get_repos [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--eapi ATOM_KLS] [--use USE] [root]

  Positional Arguments

root
    the domain that lives at root will be used

  Optional Arguments

--eapi ATOM_KLS
    limit all operations to just what the given EAPI supports.

--use USE
    override the use flags used for transititive USE deps- dev-lang/python[threads=] for example

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect portageq has_version - Return 0 if an atom is merged, 1 if not.

  Synopsis

pinspect portageq has_version [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--eapi ATOM_KLS] [--use USE] root atom

  Positional Arguments

root
    the domain that lives at root will be used

atom
    atom to inspect

  Optional Arguments

--eapi ATOM_KLS
    limit all operations to just what the given EAPI supports.

--use USE
    override the use flags used for transititive USE deps- dev-lang/python[threads=] for example

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect portageq mass_best_version - multiple best_version calls.

  Synopsis

pinspect portageq mass_best_version [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--eapi ATOM_KLS] [--use USE] root atom [atom ...]

  Positional Arguments

root
    the domain that lives at root will be used

atom
    atom to inspect

  Optional Arguments

--eapi ATOM_KLS
    limit all operations to just what the given EAPI supports.

--use USE
    override the use flags used for transititive USE deps- dev-lang/python[threads=] for example

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect portageq match - shorthand for pquery --installed

  Synopsis

pinspect portageq match [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--eapi ATOM_KLS] [--use USE] root atom

  Positional Arguments

root
    the domain that lives at root will be used

atom
    atom to inspect

  Optional Arguments

--eapi ATOM_KLS
    limit all operations to just what the given EAPI supports.

--use USE
    override the use flags used for transititive USE deps- dev-lang/python[threads=] for example

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect profile - profile related querying

  Synopsis

pinspect profile [-h] [--debug] [-q] [-v] [--color BOOLEAN] [-r REPO] {parent,eapi,status,deprecated,provided,system,use_expand,iuse_effective,masks,unmasks,bashrcs,keywords,accept_keywords,use,masked_use,stable_masked_use,forced_use,stable_forced_use,defaults,arch} ...

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  Subcommand Options

-r REPO, --repo REPO
    target repo

  Subcommands

profile commands

  pinspect profile parent - output the linearized tree of inherited parents

  Synopsis

pinspect profile parent [-h] [--debug] [-q] [-v] [--color BOOLEAN] [profile]

  Positional Arguments

profile
    path to the profile to inspect

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect profile eapi - output EAPI support required for reading this profile

  Synopsis

pinspect profile eapi [-h] [--debug] [-q] [-v] [--color BOOLEAN] [profile]

  Positional Arguments

profile
    path to the profile to inspect

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect profile status - output profile status

  Synopsis

pinspect profile status [-h] [--debug] [-q] [-v] [--color BOOLEAN] [profile]

  Positional Arguments

profile
    path to the profile to inspect

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect profile deprecated - dump deprecation notices, if any

  Synopsis

pinspect profile deprecated [-h] [--debug] [-q] [-v] [--color BOOLEAN] [profile]

  Positional Arguments

profile
    path to the profile to inspect

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect profile provided - list all package.provided packages

  Synopsis

pinspect profile provided [-h] [--debug] [-q] [-v] [--color BOOLEAN] [profile]

  Positional Arguments

profile
    path to the profile to inspect

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect profile system - output the system package set

  Synopsis

pinspect profile system [-h] [--debug] [-q] [-v] [--color BOOLEAN] [profile]

  Positional Arguments

profile
    path to the profile to inspect

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect profile use_expand - output the USE_EXPAND configuration for this profile

  Synopsis

pinspect profile use_expand [-h] [--debug] [-q] [-v] [--color BOOLEAN] [profile]

  Positional Arguments

profile
    path to the profile to inspect

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect profile iuse_effective - output the IUSE_EFFECTIVE value for this profile

  Synopsis

pinspect profile iuse_effective [-h] [--debug] [-q] [-v] [--color BOOLEAN] [profile]

  Positional Arguments

profile
    path to the profile to inspect

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect profile masks - inspect package masks

  Synopsis

pinspect profile masks [-h] [--debug] [-q] [-v] [--color BOOLEAN] [profile]

  Positional Arguments

profile
    path to the profile to inspect

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect profile unmasks - inspect package unmasks

  Synopsis

pinspect profile unmasks [-h] [--debug] [-q] [-v] [--color BOOLEAN] [profile]

  Positional Arguments

profile
    path to the profile to inspect

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect profile bashrcs - inspect bashrcs

  Synopsis

pinspect profile bashrcs [-h] [--debug] [-q] [-v] [--color BOOLEAN] [profile]

  Positional Arguments

profile
    path to the profile to inspect

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect profile keywords - inspect package.keywords

  Synopsis

pinspect profile keywords [-h] [--debug] [-q] [-v] [--color BOOLEAN] [profile]

  Positional Arguments

profile
    path to the profile to inspect

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect profile accept_keywords - inspect package.accept_keywords

  Synopsis

pinspect profile accept_keywords [-h] [--debug] [-q] [-v] [--color BOOLEAN] [profile]

  Positional Arguments

profile
    path to the profile to inspect

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect profile use - inspect enabled USE flags

  Synopsis

pinspect profile use [-h] [--debug] [-q] [-v] [--color BOOLEAN] [profile]

  Positional Arguments

profile
    path to the profile to inspect

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect profile masked_use - inspect masked use flags

  Synopsis

pinspect profile masked_use [-h] [--debug] [-q] [-v] [--color BOOLEAN] [profile]

  Positional Arguments

profile
    path to the profile to inspect

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect profile stable_masked_use - inspect stable masked use flags

  Synopsis

pinspect profile stable_masked_use [-h] [--debug] [-q] [-v] [--color BOOLEAN] [profile]

  Positional Arguments

profile
    path to the profile to inspect

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect profile forced_use - inspect forced use flags

  Synopsis

pinspect profile forced_use [-h] [--debug] [-q] [-v] [--color BOOLEAN] [profile]

  Positional Arguments

profile
    path to the profile to inspect

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect profile stable_forced_use - inspect stable forced use flags

  Synopsis

pinspect profile stable_forced_use [-h] [--debug] [-q] [-v] [--color BOOLEAN] [profile]

  Positional Arguments

profile
    path to the profile to inspect

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect profile defaults - inspect defined configuration for this profile

  Synopsis

pinspect profile defaults [-h] [--debug] [-q] [-v] [--color BOOLEAN] [profile] [variables [variables ...]]

  Positional Arguments

profile
    path to the profile to inspect

variables
    if not specified, all settings are displayed. If given, output is limited to just those settings if they exist

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect profile arch - output the arch defined for this profile

  Synopsis

pinspect profile arch [-h] [--debug] [-q] [-v] [--color BOOLEAN] [profile]

  Positional Arguments

profile
    path to the profile to inspect

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  pinspect digests - identify what packages are missing digest info

  Synopsis

pinspect digests [-h] [--debug] [-q] [-v] [--color BOOLEAN] [--domain DOMAIN] [repos [repos ...]]

  Positional Arguments

repos
    repo to inspect

  Base Options

-h, --help
    Show this help message and exit. To get more information see the related man page.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

  Config Options

--domain DOMAIN
    custom pkgcore domain to use for this operation

COPYRIGHT
2006-2019, pkgcore contributors